<?xml version="1.0"?>
<board>
    <lcd id="lcd" width="16" height="2">
        <d4><ioport name="A" index="0"/></d4>
        <d5><ioport name="A" index="1"/></d5>
        <d6><ioport name="A" index="2"/></d6>
        <d7><ioport name="A" index="3"/></d7>
        <rs><ioport name="A" index="4"/></rs>
        <en><ioport name="A" index="5"/></en>
        <rw><ioport name="A" index="6"/></rw>
    </lcd>
    <button id="enterButton">
        <out><ioport name="C" index="0"/></out>
        <key code="257"/>
    </button>
    <button id="downButton">
        <out><ioport name="C" index="1"/></out>
        <key code="264"/>
    </button>
    <button id="upButton">
        <out><ioport name="C" index="6"/></out>
        <key code="265"/>
    </button>
    <button id="escButton">
        <out><ioport name="C" index="7"/></out>
        <key code="256"/>
    </button>
    <led id="led1">
        <in><ioport name="C" index="0"/></in>
    </led>
    <led id="led2">
        <in><ioport name="C" index="1"/></in>
    </led>
    <led id="led3">
        <in><ioport name="C" index="6"/></in>
    </led>
    <led id="led4">
        <in><ioport name="C" index="7"/></in>
    </led>
    <sram id="extSRAM">
        <cs><ioport name="B" index="4"/></cs>
        <mosi><spi name="0x0" type="output"/></mosi>
        <miso><spi name="0x0" type="input"/></miso>
    </sram>
    <gui>
        <vertical>
            <lcd id="lcd"/>
            <spacer/>
            <horizontal>
                <spacer/>
                <led id="led1" color="#00FF00FF"/>
                <spacer/>
                <led id="led4" color="#FF0000FF"/>
                <spacer/>
                <led id="led3" color="#FFFFFFFF"/>
                <spacer/>
                <led id="led2" color="#FFFFFFFF"/>
                <spacer/>
                <spacer/>
                <stats/>
                <spacer/>
            </horizontal>
            <spacer/>
            <memory type="internal"/>
            <spacer/>
            <memory type="sram" id="extSRAM" size="0x10000"/>
        </vertical>
    </gui>
</board>